പ്രമാണീകരണം
ബെയറർ ടോക്കണായി ഒരു API കീ അയക്കുക. ഈ എൻഡ്പോയിന്റ് അതിന്റെ സ്പെസിഫിക്കേഷനിൽ ഒരു പ്രത്യേക അനുമതി വ്യക്തമാക്കിയിട്ടില്ല, അതിനാൽ അനുമാനിക്കുന്നതിന് പകരം നിങ്ങളുടെ കീയ്ക്ക് ഏറ്റവും കുറഞ്ഞത് ആവശ്യമുള്ളത് നൽകുകയും പ്രതികരണം പരിശോധിക്കുകയും ചെയ്യുക.
നിങ്ങളുടെ ഓർഗനൈസേഷൻ ഐഡി നൽകേണ്ട ഇടം
ഈ എൻഡ്പോയിന്റ് JSON ബോഡിയിൽ ഒരു ഫീൽഡായി org_id സ്വീകരിക്കുന്നു.
നിങ്ങളുടെ ഡാഷ്ബോർഡിലെ API കീകൾക്കായുള്ള സ്ക്രീനിൽ കീയ്ക്ക് തൊട്ടടുത്തായി നിങ്ങളുടെ ഓർഗനൈസേഷൻ ഐഡി ലഭ്യമാണ്. നിങ്ങൾ നടത്തുന്ന എല്ലാ കോളുകളിലും ഉപയോഗിക്കുന്നത് ഒരേ ഐഡി തന്നെയാണ്.
ശ്രമിച്ച് നോക്കൂ
കോണമ്ബ്രക്കറ്റുകളിലുള്ള ഏതും നിങ്ങളുടെ സ്വന്തം മൂല്യങ്ങൾ ഉപയോഗിച്ച് മാറ്റിസ്ഥാപിക്കുക, കീ പ്ലേസ്ഹോൾഡർ നിങ്ങളുടെ ഡാഷ്ബോർഡിലെ ഒരു കീ ഉപയോഗിച്ചും മാറ്റിസ്ഥാപിക്കുക.
curl -X POST https://api.zinndigital.com/v1/agency/time/rates \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "scope": <string<task, project, client, org>>, "amount_minor": <integer>, "currency": <string>, "effective_from": <string> }'സൈൻ ഇൻ ചെയ്തിട്ടുണ്ടോ? നിങ്ങളുടെ ഡാഷ്ബോർഡിലെ API കൺസോൾ നിങ്ങളുടെ യഥാർത്ഥ ഓർഗനൈസേഷൻ ഐഡിയും നിങ്ങളുടെ സ്വന്തം കീയും പൂരിപ്പിക്കുകയും, യഥാർത്ഥ പ്രതികരണം (response) നിങ്ങൾക്ക് കാണുന്നതിനായി ലൈവ് API-ലേക്ക് അഭ്യർത്ഥന (request) പ്രവർത്തിപ്പിക്കുകയും ചെയ്യുന്നു. ഈ എൻഡ്പോയിന്റ് API കൺസോളിൽ തുറക്കുക
വിശദാംശങ്ങൾ
`amount_minor` is the price of ONE HOUR for `kind: hourly`, and the price of the whole job for `kind: fixed`. ⛔ A fixed price is billed **once** for the task it is set on, however many hours are logged against it — the minutes are still recorded and reported, they simply do not each carry money. It is not "an hourly rate of zero".
അഭ്യർത്ഥന ബോഡി
| പേര് | തരം | ആവശ്യമാണ് | എന്താണിത് |
|---|---|---|---|
scope | string<task, project, client, org> | അതെ | — |
scope_id | string | ഇല്ല | — |
kind | string<hourly, fixed> | ഇല്ല | — |
amount_minor | integer | അതെ | — |
currency | string | അതെ | — |
effective_from | string | അതെ | — |
org_id | string | ഇല്ല | — |
പ്രതികരണം
| പേര് | തരം | ആവശ്യമാണ് | എന്താണിത് |
|---|---|---|---|
id | string | അതെ | — |
scope | string<task, project, client, org> | അതെ | — |
scope_id | string | ഇല്ല | The task/project/client this applies to. `null` exactly when scope is `org`. |
kind | string<hourly, fixed> | അതെ | — |
amount_minor | integer | അതെ | Minor units. For `hourly`, the price of ONE HOUR — ⛔ never a price per minute, and never divided by 60 anywhere on this API. |
currency | string | അതെ | — |
effective_from | string | അതെ | Applies to work done on or after this date. Resolution is against the **work's** date, never today, so a rate rise does not re-price last month. |
archived | boolean | അതെ | — |
ഈ എൻഡ്പോയിന്റ് നൽകാൻ കഴിയുന്ന പിഴവുകൾ
401 · 403 · 422